 /*
   parse date & time
   Copyright (c) 1998 FURUKAWA Yo.
   $Id: parse.h,v 1.1.1.1 1998/12/15 03:42:45 furukawa Exp $
   */

#ifndef _PARSE_H_
#define _PARSE_H_

#include "arch.h"

/* -- macros */

/* -- types */
typedef struct _ParseCTX {
    uint16 line_start_date;
    uint16 line_start_date_valid;
    uint16 line_end_date;
    uint16 line_end_date_valid;

    uint16 line_start_hour;
    uint16 line_start_min;
    uint16 line_start_time_valid;
    uint16 line_end_hour;
    uint16 line_end_min;
    uint16 line_end_time_valid;

    uint16 start_year;
    uint16 start_month;
    uint16 start_day;
    uint16 start_hour;
    uint16 start_min;
    bool start_year_set;
    bool start_month_set;
    bool start_day_set;
    bool start_hour_set;
    bool start_min_set;
    uint16 end_year;
    uint16 end_month;
    uint16 end_day;
    uint16 end_hour;
    uint16 end_min;
    bool end_year_set;
    bool end_month_set;
    bool end_day_set;
    bool end_hour_set;
    bool end_min_set;

    bool start_date_valid;
    bool start_time_valid;
    bool end_date_valid;
    bool end_time_valid;
} ParseCTX;

/* -- prototypes */

/* ɸΰ */

#endif
