/*
   context
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: context.h,v 1.1.1.1 1998/12/15 03:42:46 furukawa Exp $
   */

#ifndef _CONTEXT_H_
#define _CONTEXT_H_

/* -- macros */

/* -- prototype */
bool
Context_Save(void);
bool
Context_Load(void);
bool
Context_Defaults(void);
bool
Context_InitLabelName(void);
bool
Context_LoadLabelName(void);
bool
Context_SetLabelName(int i, char *name);
char *
Context_GetLabelName(int i);
void
Context_SetCustomLabel(int label, bool flag);
bool
Context_GetCustomLabel(int label);
void
Context_SelectCustomLabel(void);
void
Context_ReflectEnvironment(void);

#endif
