/*
   function key
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: funckey.c,v 1.1.1.1 1998/12/15 03:42:49 furukawa Exp $
   */

#include "global.h"
#include "arch.h"
#include "taskmg.h"
#include "taskid.h"
#include "funckey.h"
#include "context.h"
#include "mnw.h"

/* -- file local variables */

/* -- methods */

/* ե󥯥󥭡ν */
void
FuncKey_Initialize(void)
{
}

/* ե󥯥󥭡դ */
void
FuncKey_Finilize(void)
{
    mnwEvent e;;
    mnwEvent_SetAll(&e, kEvent_Show, nil, 0, 0);
    mnwEvent_SendTo(&e, gFunctionGuide);
}

/* ե󥯥󥭡ʥᥤ */
void
FuncKey_SetMainMode(void)
{
    mnwEvent e;;
    mnwEvent_SetAll(&e, kEvent_UnsetText, nil, 0, 0);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "  ɲ  ", 1, ID_FUNC_ADD_SCHEDULE);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "  ", 2, ID_FUNC_ADD_TASK);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_UnsetText, nil, 3, 0);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "      ", 4, ID_FUNC_NOW);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "  ɽ  ", 5, ID_FUNC_SIZE);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "  ", 6, ID_FUNC_MONTH);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "  ", 7, ID_FUNC_WEEKS);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "  ", 8, ID_FUNC_WEEK);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "    ", 9, ID_FUNC_DAY);
    mnwEvent_SendTo(&e, gFunctionGuide);
}

/* ե󥯥󥭡ɲá */
void
FuncKey_SetAddMode(void)
{
    mnwEvent e;;
    mnwEvent_SetAll(&e, kEvent_UnsetText, nil, 0, 0);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_UnsetText, nil, 1, 0);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_UnsetText, nil, 2, 0);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "    ", 3, ID_FUNC_OK);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, "    ", 4, ID_FUNC_CANCEL);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, Context_GetLabelName(0), 5, ID_FUNC_LABEL0);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, Context_GetLabelName(1), 6, ID_FUNC_LABEL1);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, Context_GetLabelName(2), 7, ID_FUNC_LABEL2);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, Context_GetLabelName(3), 8, ID_FUNC_LABEL3);
    mnwEvent_SendTo(&e, gFunctionGuide);
    mnwEvent_SetAll(&e, kEvent_SetText, Context_GetLabelName(4), 9, ID_FUNC_LABEL4);
    mnwEvent_SendTo(&e, gFunctionGuide);
}
