/*
   database interface
   Copyright (c) 1997 FURUKAWA Yo.
   $Id: db.h,v 1.1.1.1 1998/12/15 03:42:44 furukawa Exp $
   */

#ifndef _DB_H_
#define _DB_H_

#include "arch.h"

/* -- macros */

#define DB_MODE_CLIENT		0
#define DB_MODE_PSEUDO_SERVER	1
#define DB_MODE_SERVER		2

/* -- prototypes */

bool
DB_Init(void);
bool
DB_Tidy(void);
uint16
DB_SetMode(uint16 mode);
uint16
DB_GetMode(void);
uint16
DB_SetUser(uint16 user);
uint16
DB_GetUser(void);
void
DB_SetFileName(byte *name);
byte *
DB_GetFileName(void);
uint16
DB_GetDate(uint16 *out_year, uint16 *out_month, uint16 *out_day,
	   uint8 *out_hour, uint8 *out_min);

#endif
