/*
   index
   Copyright (c) 1997 FURUKAWA Yo.
   $Id: index.c,v 1.1.1.1 1998/12/15 03:42:44 furukawa Exp $
   */

#include "arch.h"
#include "index.h"
#include <stdlib.h>

/* ǥå
   ߤμϥ쥳ɽǡǤ롥

   쥳ɽΥǡ
   
     ñ
     ǥåΤᤤʵư
     񤬾ʤ¿Υ쥳ɤ
   
     ٤
     桼ˤƥޥå礬Լ

   սΥǡ¤
   
     桼ˤս˸Ǥ
     ®ڤ
   
     򾯤ܤ˼
     ȤΥ

   ϰϽäǡ¤θ
   
     ®Ϥ
     桼ˤս˸Ǥ
   
     ǥåΤ٤ä˵ư
     ¿64k3000餤
     ȤƤݡޤǺäΤƤ

   ǽʤɤǺƼϤǤ褤
   */

/* -- file local variables */
static Node nodes[NODE_MAX];
static uint16 node_num;
static uint16 search_start_date;
static uint16 search_end_date;

/* -- file local methods */

/* -- methods */

/* ǥåν */
bool
Index_Init(void)
{
    node_num = 0;
    return true;
}

/* ǥåդ */
bool
Index_Tidy(void)
{
    return true;
}

/* Ρɤ */
bool
Index_Insert(Record *rec)
{
    if (node_num < NODE_MAX){
	nodes[node_num].rec = rec;
	node_num++;
	return true;
    }else{
	return false;
    }
}

/* Ρɤθ */
uint16
Index_Rewind(void)
{
    return 0;
}

uint16
Index_SetDate(uint16 start)
{
    search_start_date = start;
    return 0;
}

uint16
Index_SetRange(uint16 start, uint16 end)
{
    search_start_date = start;
    search_end_date = end;
    return 0;
}

/* Υޥå쥳ɤ֤ */
Record *
Index_FindNext(uint16 *cookie)
{
    uint16 cur;

    cur = *cookie;
    if (cur < node_num){
	(*cookie)++;
	return nodes[cur].rec;
    }else{
	return (Record *)nil;
    }
}

Record *
Index_FindNextByDate(uint16 *cookie)
{
    uint16 cur;

    cur = *cookie;
    while (cur < node_num){
	if (nodes[cur].rec->start_date <= search_start_date
	    && search_start_date <= nodes[cur].rec->end_date){
	    *cookie = cur + 1;
	    return nodes[cur].rec;
	}
	cur++;
    }
    return (Record *)nil;
}

Record *
Index_FindNextByRange(uint16 *cookie)
{
    uint16 cur;

    cur = *cookie;
    while (cur < node_num){
	if ((nodes[cur].rec->start_date <= search_start_date
	     && search_start_date <= nodes[cur].rec->end_date)
	    || (nodes[cur].rec->start_date <= search_end_date
		&& search_end_date <= nodes[cur].rec->end_date)){
	    *cookie = cur + 1;
	    return nodes[cur].rec;
	}
	cur++;
    }
    return (Record *)nil;
}

