/*
   calendar region of view
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: viewcal.h,v 1.1.1.1 1998/12/15 03:42:48 furukawa Exp $
   */

#ifndef _VIEWCAL_H_
#define _VIEWCAL_H_

#include <u-k.h>

/* -- macros */

/* -- global variable */

/* -- prototype */
void
ViewCal_Init(int left, int top,
	     int dayweek_width, int dayweek_height,
	     int weeks_width, int weeks_height,
	     int c_width, int c_height,
	     int c_cols, int c_rows,
	     int d_rows,
	     int c_font, int c_maxlen);
void
ViewCal_InitCursor(void);
void
ViewCalDayWeek_Redraw(HDC hDC);
void
ViewCalWeeks_Redraw(HDC hDC);
void
ViewCal_InvertCursor(HDC hDC);
void
ViewCal_ScrollUp(HDC hDC);
void
ViewCal_ScrollDown(HDC hDC);
void
ViewCal_Left(HDC hDC);
void
ViewCal_Right(HDC hDC);
void
ViewCal_Up(HDC hDC);
void
ViewCal_Down(HDC hDC);
void
ViewCal_WeekUp(HDC hDC, int num);
void
ViewCal_WeekDown(HDC hDC, int num);

#endif
