/*
   file region of view
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: viewfile.h,v 1.1.1.1 1998/12/15 03:42:48 furukawa Exp $
   */

#ifndef _VIEWFILE_H_
#define _VIEWFILE_H_

#include <u-k.h>

/* -- macros */

/* -- global variable */

/* -- prototype */
void
ViewFile_Init(int left, int top,
	      int title_width, int title_height,
	      int file_width, int file_height,
	      int c_width, int c_height,
	      int c_cols, int c_rows,
	      int c_font);
void
ViewFile_Tidy(void);
bool
ViewFile_CheckBattery(bool reopen_test);
bool
ViewFile_CheckFile(void);
bool
ViewFile_SetFile(char *path);
void
ViewFileFile_Redraw(HDC hDC);
void
ViewFile_Up(HDC hDC);
void
ViewFile_Down(HDC hDC);
void
ViewFile_PageUp(HDC hDC);
void
ViewFile_PageDown(HDC hDC);
void
ViewFile_InvertCursor(HDC hDC);
void
ViewFile_InitCursor(void);
void
ViewFileTitle_Redraw(HDC hDC);
bool
ViewFile_LinkItem(uint16 date, int no);
bool
ViewFile_UnlinkItem(uint16 date, int no);
bool
ViewFile_FollowLink(uint16 date, int no);

#endif
