/*
   timetable region of view
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: viewtime.h,v 1.1.1.1 1998/12/15 03:42:49 furukawa Exp $
   */

#ifndef _VIEWTIME_H_
#define _VIEWTIME_H_

#include <u-k.h>

/* -- macros */

/* -- global variable */

/* -- prototype */
void
ViewTime_Init(int left, int top,
	      int hour_width, int hour_height,
	      int dayweek_width, int dayweek_height,
	      int timetable_width, int timetable_height,
	      int day_width, int day_height,
	      int c_width, int c_height,
	      int c_cols, int c_rows,
	      int d_rows,
	      int c_font, int c_maxlen);
void
ViewTime_InitCursor(void);
void
ViewTimeHour_Redraw(HDC hDC);
void
ViewTimeWeek_Redraw(HDC hDC);
void
ViewTime_InvertCursor(HDC hDC);
void
ViewTime_Up(HDC hDC);
void
ViewTime_Down(HDC hDC);
void
ViewTime_Left(HDC hDC);
void
ViewTime_Right(HDC hDC);
void
ViewTime_WeekUp(HDC hDC);
void
ViewTime_WeekDown(HDC hDC);

#endif
