/*
   calendar region of view
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: viewcal.h,v 1.1.1.1 1998/12/15 03:42:50 furukawa Exp $
   */

#ifndef _VIEWCAL_H_
#define _VIEWCAL_H_

void
ViewCal_Init(int left, int top,
	     int dayweek_width, int dayweek_height,
	     int weeks_width, int weeks_height,
	     int c_width, int c_height,
	     int c_cols, int c_rows,
	     int d_rows,
	     int c_font, int c_maxlen);
void
ViewCal_InitCursor(void);
void
ViewCalDayWeek_Redraw(void);
void
ViewCalWeeks_Redraw(void);
void
ViewCal_InvertCursor(void);
void
ViewCal_ScrollUp(void);
void
ViewCal_ScrollDown(void);
void
ViewCal_Left(void);
void
ViewCal_Right(void);
void
ViewCal_Up(void);
void
ViewCal_Down(void);
void
ViewCal_WeekUp(int num);
void
ViewCal_WeekDown(int num);

#endif
