/*
   itemlist region of view
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: viewitem.h,v 1.2 1999/02/01 04:51:07 furukawa Exp $
   */

#ifndef _VIEWITEM_H_
#define _VIEWITEM_H_

void
ViewItem_Init(int left, int top,
	      int date_width, int date_height,
	      int item_width, int item_height,
	      int c_width, int c_height,
	      int c_cols, int c_rows,
	      int c_font, int c_maxlen,
	      bool d_end_time);
void
ViewItem_Redraw(void);
void
ViewItem_Up(void);
void
ViewItem_Down(void);
void
ViewItem_InvertCursor(void);
void
ViewItem_InitCursor(void);
void
ViewItem_ResetCursor(void);
uint16
ViewItem_GetCursor(void);
void
ViewItemDate_Redraw(void);

bool
Misc_CutItem(uint16 date, int no);
bool
Misc_CopyItem(uint16 date, int no);
bool
Misc_PasteItem(uint16 date);

#endif
