/*
   timetable region of view
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: viewtime.h,v 1.1.1.1 1998/12/15 03:42:50 furukawa Exp $
   */

#ifndef _VIEWTIME_H_
#define _VIEWTIME_H_

void
ViewTime_Init(int left, int top,
	      int hour_width, int hour_height,
	      int dayweek_width, int dayweek_height,
	      int timetable_width, int timetable_height,
	      int day_width, int day_height,
	      int c_width, int c_height,
	      int c_cols, int c_rows,
	      int d_rows,
	      int c_font, int c_maxlen);
void
ViewTime_InitCursor(void);
void
ViewTimeHour_Redraw(void);
void
ViewTimeWeek_Redraw(void);
void
ViewTime_InvertCursor(void);
void
ViewTime_Up(void);
void
ViewTime_Down(void);
void
ViewTime_Left(void);
void
ViewTime_Right(void);
void
ViewTime_WeekUp(void);
void
ViewTime_WeekDown(void);

#endif
