/*
   index
   Copyright (c) 1997 FURUKAWA Yo.
   $Id: index.h,v 1.1.1.1 1998/12/15 03:42:44 furukawa Exp $
   */

#ifndef _INDEX_H_
#define _INDEX_H_

#include "arch.h"
#include "record.h"

/* -- macros */

#define NODE_MAX 6000

/* -- types */

typedef struct _Node {
    Record *rec;
} Node;

/* -- prototypes */

bool
Index_Init(void);
bool
Index_Tidy(void);
bool
Index_Insert(Record *rec);
uint16
Index_Rewind(void);
uint16
Index_SetDate(uint16 start);
uint16
Index_SetRange(uint16 start, uint16 end);
Record *
Index_FindNext(uint16 *cookie);
Record *
Index_FindNextByDate(uint16 *cookie);
Record *
Index_FindNextByRange(uint16 *cookie);

#endif
