/*
   itemlist region of view
   Copyright (c) 1997,98 FURUKAWA Yo.
   $Id: viewitem.h,v 1.1.1.1 1998/12/15 03:42:48 furukawa Exp $
   */

#ifndef _VIEWITEM_H_
#define _VIEWITEM_H_

#include <u-k.h>

/* -- macros */

/* -- global variable */

/* -- prototype */
void
ViewItem_Init(int left, int top,
	      int date_width, int date_height,
	      int item_width, int item_height,
	      int c_width, int c_height,
	      int c_cols, int c_rows,
	      int c_font, int c_maxlen);
void
ViewItem_Redraw(HDC hDC);
void
ViewItem_Up(HDC hDC);
void
ViewItem_Down(HDC hDC);
void
ViewItem_InvertCursor(HDC hDC);
void
ViewItem_InitCursor(void);
void
ViewItem_ResetCursor(void);
uint16
ViewItem_GetCursor(void);
void
ViewItemDate_Redraw(HDC hDC);

bool
Misc_CutItem(uint16 date, int no);
bool
Misc_CopyItem(uint16 date, int no);
bool
Misc_PasteItem(uint16 date);

#endif
